[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# DebugLn

Deprecated. Use DebugLogger.DebugLn instead.

## Declaration

Source position: lclproc.pas line 155

`procedure DebugLn(`
`const s: string = ''`
`); overload; procedure DebugLn(`
`Args: array of Const`
`); overload; procedure DebugLn(`
`const S: string;`
`Args: array of Const`
`); overload; procedure DebugLn(`
`const s1: string;`
`const s2: string;`
`const s3: string = '';`
`const s4: string = '';`
`const s5: string = '';`
`const s6: string = '';`
`const s7: string = '';`
`const s8: string = '';`
`const s9: string = '';`
`const s10: string = '';`
`const s11: string = '';`
`const s12: string = '';`
`const s13: string = '';`
`const s14: string = '';`
`const s15: string = '';`
`const s16: string = '';`
`const s17: string = '';`
`const s18: string = ''`
`); overload;`

## Arguments

`s` |  | A single string, or a Format string when followed by an argument list.

## Arguments

`Args` |  | Writes the formatted dump of the typed arguments.

## Arguments

`S` |  | A single string, or a Format string when followed by an argument list.
`Args` |  | Writes the formatted dump of the typed arguments.

## Description

Overloaded routine used to write a number of strings to the debug output.

Calls the DebugLn method in the DebugLogger unit property implemented in LazLoggerBase.pas (LazUtils).

## Version info

Deprecated in LCL version 3.99 (Apr 2024).

## See also

TLazLogger.DebugLn